Page MenuHomePhabricator

Move the tags to be set on SDC revisions to extension configuration
Closed, ResolvedPublic

Description

WikidataDepictsSetter::addDepicts currently adds a single hard-coded tag, machine aided depicts, to the revision adding a depicts statement when a label is approved.

The tags to be added should be defined in the extension configuration.

Event Timeline

Mholloway created this task.Oct 8 2019, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2019, 5:44 PM
Mholloway triaged this task as Medium priority.Oct 9 2019, 3:44 PM
MSantos claimed this task.Oct 14 2019, 3:16 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.

@Mholloway I have a silly question unrelated to the ticket: should we change machine aided depicts tag since it's not the name of the project anymore? For consistency's sake.

Change 542985 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/MachineVision@master] add configuration for SDC revisions tags

https://gerrit.wikimedia.org/r/542985

@MSantos Yes, I was going to mention that on the review. It should be changed to computer aided tagging.

Change 542985 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] add configuration for SDC revisions tags

https://gerrit.wikimedia.org/r/542985

Mholloway closed this task as Resolved.Oct 16 2019, 8:12 PM